package cn.com.poc.writing.convert;

import cn.com.poc.writing.model.BizAiWritingExampleModel;
import cn.com.poc.writing.entity.BizAiWritingExampleEntity;


public class BizAiWritingExampleConvert {

    public static BizAiWritingExampleEntity modelToEntity(BizAiWritingExampleModel model) {
        BizAiWritingExampleEntity entity = new BizAiWritingExampleEntity();
        entity.setId(model.getId());
        entity.setType(model.getType());
        entity.setTitle(model.getTitle());
        entity.setDescription(model.getDescription());
        entity.setIcon(model.getIcon());
        entity.setQuestion(model.getQuestion());
        return entity;
    }

    public static BizAiWritingExampleModel entityToModel(BizAiWritingExampleEntity entity) {
        BizAiWritingExampleModel model = new BizAiWritingExampleModel();
        model.setId(entity.getId());
        model.setType(entity.getType());
        model.setTitle(entity.getTitle());
        model.setIcon(entity.getIcon());
        model.setDescription(entity.getDescription());
        model.setQuestion(entity.getQuestion());
        return model;
    }

}